
QGIS Application - Bug report #2810

Qgis Trunk (r13619M) crashes applying a a raster style (qml) to GRASS raster

2010-06-15 09:21 AM - andre mano

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12870

Description

After loading a raster, I try to apply a previously created raster symbology Style (.qml). This Style file was created under a raster loaded

directly to qgis. The raster is a .tiff

Associated revisions

Revision b75c1b3c - 2011-04-15 09:46 PM - Giuseppe Sucameli

fix #2810

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15717 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 41f62c4f - 2011-04-15 09:46 PM - Giuseppe Sucameli

fix #2810

git-svn-id: http://svn.osgeo.org/qgis/trunk@15717 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-15 11:28 AM - Paolo Cavallini

I get a std::bad alloc, but o crash.

#2 - 2010-06-15 11:30 AM - Paolo Cavallini

an: no crash. Debian unstable, qgis self compiled, gdal 1.7 from deb experimental

#3 - 2010-06-16 08:23 AM - Giovanni Manghi

anyway... this somehow depends by the fact that the GRASS raster provider is no more GDAL?

remember that qgis GRASS raster properties dialogs need to be overhauled (see #2794), if the above hypothesis is confirmed than applying qml styles (to

GRASS rasters) should not make sense anymore.

#4 - 2010-09-19 09:42 AM - Paolo Cavallini

2025-12-15 1/2

http://svn.osgeo.org/qgis/trunk/qgis@15717
http://svn.osgeo.org/qgis/trunk@15717


Still true?

#5 - 2011-04-15 12:42 PM - Giuseppe Sucameli

- Status changed from Open to In Progress

I load a GRASS raster layer, open the layer propriety, Colormap tab, I load a style and I get crash.

Crashes occur also trying to save a style instead of loading it.

#6 - 2011-04-15 12:47 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in commit:41f62c4f (SVN r15718)
